> ## Documentation Index
> Fetch the complete documentation index at: https://plainrouter.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a reconciliation report

> Returns stored delivery-versus-platform reconciliation results for one calendar date.



## OpenAPI

````yaml https://plainrouter.com/openapi.json get /reports/reconciliation
openapi: 3.1.0
info:
  title: PlainRouter Conversion API
  version: 0.5.0
  description: PlainRouter public Signals Conversion API.
servers:
  - url: https://plainrouter.com/api/v1
    description: Production
security:
  - signalTrackerSecret: []
paths:
  /reports/reconciliation:
    get:
      tags:
        - Operations
      summary: Get a reconciliation report
      description: >-
        Returns stored delivery-versus-platform reconciliation results for one
        calendar date.
      operationId: getReconciliationReport
      parameters:
        - name: date
          in: query
          required: true
          schema:
            type: string
            format: date
      responses:
        '200':
          description: Stored reconciliation reports for the requested date.
          content:
            application/json:
              schema:
                type: object
                properties:
                  date:
                    type: string
                  reports:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        signal_tracker_id:
                          type: string
                        destination_id:
                          type: string
                        report_date:
                          type: string
                        accepted_count:
                          type: integer
                        meta_count:
                          type: integer
                        observed_gap:
                          type: integer
                        event_counts:
                          type: object
                          properties:
                            accepted:
                              anyOf:
                                - type: object
                                  additionalProperties:
                                    type: integer
                                - type: array
                                  items: {}
                            meta:
                              anyOf:
                                - type: object
                                  additionalProperties:
                                    type: integer
                                - type: array
                                  items: {}
                          required:
                            - accepted
                            - meta
                        buckets:
                          type: object
                          additionalProperties:
                            type: object
                            properties:
                              count:
                                type: integer
                              basis:
                                type: string
                              explanation:
                                type: string
                            required:
                              - count
                              - basis
                              - explanation
                        unexplained_residual:
                          type: integer
                        status:
                          type: string
                        created_at:
                          type:
                            - string
                            - 'null'
                        updated_at:
                          type:
                            - string
                            - 'null'
                        destination:
                          type: object
                          properties:
                            id:
                              type: string
                            signal_tracker_id:
                              type: string
                            platform_ad_account_id:
                              type:
                                - integer
                                - 'null'
                            type:
                              $ref: '#/components/schemas/DestinationType'
                            credential_source:
                              $ref: '#/components/schemas/DestinationCredentialSource'
                            config:
                              anyOf:
                                - type: object
                                  additionalProperties: {}
                                - type: array
                                  items: {}
                                - type: 'null'
                            status:
                              $ref: '#/components/schemas/DestinationStatus'
                            created_at:
                              type:
                                - string
                                - 'null'
                            updated_at:
                              type:
                                - string
                                - 'null'
                          required:
                            - id
                            - signal_tracker_id
                            - platform_ad_account_id
                            - type
                            - credential_source
                            - config
                            - status
                            - created_at
                            - updated_at
                      required:
                        - id
                        - signal_tracker_id
                        - destination_id
                        - report_date
                        - accepted_count
                        - meta_count
                        - observed_gap
                        - event_counts
                        - buckets
                        - unexplained_residual
                        - status
                        - created_at
                        - updated_at
                        - destination
                required:
                  - date
                  - reports
        '401':
          description: Invalid or missing Signal tracker secret.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '422':
          description: Request validation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
components:
  schemas:
    DestinationType:
      type: string
      enum:
        - meta
      title: DestinationType
    DestinationCredentialSource:
      type: string
      enum:
        - oauth_connection
        - managed_token
      title: DestinationCredentialSource
    DestinationStatus:
      type: string
      enum:
        - active
        - inactive
      title: DestinationStatus
    ErrorMessage:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorMessage
    ValidationError:
      type: object
      properties:
        message:
          type: string
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
      required:
        - message
        - errors
      title: ValidationError
  securitySchemes:
    signalTrackerSecret:
      type: http
      description: >-
        Per-tracker bearer secret. It authenticates only the Signal tracker
        represented by the credential.
      scheme: bearer

````